AM_CFLAGS = \
	-DG_LOG_DOMAIN=\"Yaml\" \
	-I$(includedir) \
	-I$(top_srcdir)/lib \
	-I$(top_srcdir)/lib/ayyi \
	-I$(top_srcdir)/lib/waveform \
	-I$(top_srcdir)/lib/ayyi/model/test \
	$(GLIB_CFLAGS)

noinst_LIBRARIES = libyaml.a

libyaml_a_SOURCES = \
	save.c save.h \
	load.c load.h

if BUILD_TESTS

bin_PROGRAMS = test

test_DEPENDENCIES = libyaml.a

test_SOURCES = \
	test.c

test_LDADD = \
	$(top_srcdir)/lib/waveform/lib/test/libtest.la \
	$(top_srcdir)/lib/utils/libutils.a \
	$(top_srcdir)/lib/debug/libdebuglocal.la \
	$(top_srcdir)/lib/yaml/libyaml.a \
	$(top_srcdir)/lib/ayyi/.libs/libayyi.a \
	$(top_srcdir)/lib/ayyi/model/test/runner.o \
	$(top_srcdir)/lib/waveform/lib/agl/.libs/libagl.a \
	$(top_srcdir)/lib/waveform/.libs/libwaveformcore.a \
	$(GTK_LDFLAGS) \
	$(DBUS_LDFLAGS) \
	$(YAML_LIBS) \
	$(SNDFILE_LIBS) \
	$(FFMPEG_LDFLAGS) \
	$(MATH_LDFLAGS) \
	-lgmodule-2.0

suppression_dir = $(top_srcdir)/test/suppressions
valgrind:
	/usr/bin/valgrind \
		--leak-check=full \
		--gen-suppressions=yes \
		--log-fd=2 \
		--suppressions=$(suppression_dir)/glib.supp \
		--suppressions=$(suppression_dir)/mesa.supp \
		--suppressions=$(suppression_dir)/pango.supp \
		--suppressions=$(suppression_dir)/seismix.supp \
		--num-callers=50 \
		./test

endif
